@import "assets/scss/global";

.button {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: $sm-padding $md-padding;
    border-radius: 40px;
    font-size: 16px;
    font-weight: 600;
    cursor: initial;
    column-gap: 10px;

    svg {
        margin-right: 7px;
    }

    &:not(.none):hover {
        background: linear-gradient(88.16deg, #F79945 1.56%, #F84C26 97.89%);
        box-shadow: 0 12px 20px rgba(248, 76, 38, 0.15);
        color: white;
    }

    @include largeScreen {
        cursor: pointer;
    }

    &.outline {
        background: transparent;
        border: 1px solid $primary-color;
        color: $primary-color;
        padding: 11px $md-padding;

        &:hover{
            border: 1px solid transparent;
        }
    }

    &.primary {
        background: $primary-color;
        color: white;
        box-shadow: 0 12px 20px rgba(248, 76, 38, 0.15);
    }

    &.success {
        background: $success-color;
        color: white;
        box-shadow: 0 12px 18px rgba(150, 209, 159, 0.25);

        &:hover {
            background: linear-gradient(88.16deg, #AAEF66 1.56%, #39BA4C 97.89%);
            box-shadow: 0 12px 18px rgba(150, 209, 159, 0.25);
            border-radius: 40px;
        }
    }

    &.disable {
        pointer-events: none;
        background: #F7F8FC;
        color: grey;
    }

    &.none {
        outline: none;
        border: none;
        background: transparent;
        padding: $sm-padding 0;
        font-weight: 500;
        height: fit-content;
        width: fit-content;

        svg {
            margin: 0;
        }
    }
    &.loading {
        color: transparent !important;
        cursor: default;
        pointer-events: none;
        position: relative;
        display: inline-block;
        background: #F7F7F7;
    }
}

.spin-loading{
    &::after, &::before{
        border-radius: 50%;
        bottom: 0;
        content: "";
        height: 18px;
        left: 0;
        margin: auto;
        position: absolute;
        right: 0;
        top: 0;
        width: 18px;
        z-index: 1;
        border: 3px solid rgba(233, 235, 240, .3);
    }
    &::after{
        animation: spin 0.5s linear infinite;
        border: 3px solid transparent;
        border-top-color: #7660FE;
    }
}

@keyframes spin {
    0% {
        transform: rotate(0);
    }

    to {
        transform: rotate(1turn);
    }
}